pipeline {
    agent {
                label 'Mehulws'
            }

    stages {        
            stage('Build') {
                steps {
                     //node('xtp-ci-agent-big-fleet-18xe') {
                    // Get some code from a GitHub repository
                    deleteDir()
                    
                    git 'https://gitlab.com/_mehul_/my-app.git'
    
                    // Run Maven on a Unix agent.
                    cmd_exec ("mvn -Dmaven.test.failure.ignore=true clean package")
    
                    // To run Maven on a Windows agent, use
                    // bat "mvn -Dmaven.test.failure.ignore=true clean package"
                }
    
                post {
                    // If Maven was able to run the tests, even if some of the test
                    // failed, record the test results and archive the jar file.
                    success {
                        junit '**/target/surefire-reports/TEST-*.xml'
                        archiveArtifacts 'target/*.jar'
                    }
                }
            }
            
       // }
    }
}

def cmd_exec(command) {
    return bat(returnStdout: true, script: "${command}").trim()
}